<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:orientation="vertical"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="上层管种类：" />

        <Spinner
            android:id="@+id/topPipeTypeSpinner"
            style="@style/spinnerStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="上层管材料：" />

        <Spinner
            android:id="@+id/topPipeMaterialSpinner"
            style="@style/spinnerStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="上层管直径：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/topPipeDiameterView"
            style="@style/inputEditTextStyle"
            android:inputType="numberDecimal" />

        <TextView
            style="@style/textViewStyle"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="3dp"
            android:text="mm"
            android:textSize="@dimen/sp_16" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="上层管埋深：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/topPointDeepView"
            style="@style/inputEditTextStyle"
            android:inputType="numberDecimal" />

        <TextView
            style="@style/textViewStyle"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="3dp"
            android:text="mm"
            android:textSize="@dimen/sp_16" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="下层管种类：" />

        <Spinner
            android:id="@+id/bottomPipeTypeSpinner"
            style="@style/spinnerStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="下层管材料：" />

        <Spinner
            android:id="@+id/bottomPipeMaterialSpinner"
            style="@style/spinnerStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="下层管直径：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/bottomPipeDiameterView"
            style="@style/inputEditTextStyle"
            android:inputType="numberDecimal" />

        <TextView
            style="@style/textViewStyle"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="3dp"
            android:text="mm"
            android:textSize="@dimen/sp_16" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="下层管埋深：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/bottomPointDeepView"
            style="@style/inputEditTextStyle"
            android:inputType="numberDecimal" />

        <TextView
            style="@style/textViewStyle"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="3dp"
            android:text="mm"
            android:textSize="@dimen/sp_16" />
    </LinearLayout>
</LinearLayout>